/*

Copyright 2011 Giuseppe Cosentino Borgese <gicos.2@gmail.com>

This file is part of gSudoku.

gSudoku is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

gSudoku is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with gSudoku.  If not, see
<http://www.gnu.org/licenses/>.

*/

#include "SudokuCell.h"

SudokuCell::SudokuCell() :
	fixedCell(false), cellValue(0){
}

int SudokuCell::getCellValue() const{
	return cellValue;
}

bool SudokuCell::isFixed() const{
	 return fixedCell;
}

list<int> SudokuCell::getInvalidValues() const{
	return invalidValues;
}

void SudokuCell::setCellValue(int value){
	this->cellValue = value;
}

void SudokuCell::addInvalidValue(int value){
	invalidValues.push_back(value);
	invalidValues.sort();
}

void SudokuCell::setFixed(bool fixed){
	fixedCell = fixed;
}
