/*

Copyright 2011 Giuseppe Cosentino Borgese <gicos.2@gmail.com>

This file is part of gSudoku.

gSudoku is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

gSudoku is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with gSudoku.  If not, see
<http://www.gnu.org/licenses/>.

*/

#include "GUIInfo.h"

GUIInfo::GUIInfo(WINDOW *mW, int mY, int mX) :
mainWin(mW), maxY(mY), maxX(mX)
{
	infoItems.push_back("Studente:");
	infoItems.push_back("  Giuseppe Cosentino Borgese");
	infoItems.push_back("");
	infoItems.push_back("Corso:");
	infoItems.push_back("  Programmazione ad Oggetti");
	infoItems.push_back("");
	infoItems.push_back("Progetto:");
	infoItems.push_back("  gSudoku");

	sMax = infoItems.size();
	wWid = 34;
	wHei = sMax + 4;
	sX = (maxX - wWid) / 2;
	sY = ((maxY - wHei) / 2) + 2;

	infoWin = subwin(mainWin, wHei, wWid, sY, sX);
}

void GUIInfo::showInfo(){
	box(infoWin, 0, 0);
	int i;
	for(i = 0; i < sMax; i++){
		mvwaddstr(infoWin, i + 1, 1, infoItems[i].c_str());
	}
	mvwaddstr(infoWin, ++i, 1, "--------------------------------");
	wcolor_set(infoWin, 2, NULL);
	mvwaddstr(infoWin, ++i, 1, "         Torna Indietro         ");
	wcolor_set(infoWin, 1, NULL);
	wrefresh(infoWin);
	while(true){
		int ch = getch();
		if(ch == '\n'){
			return;
		}
	}
}

GUIInfo::~GUIInfo() {
	delwin(infoWin);
	refresh();
}
